Tag: build.gradle

Android Studio gradle construir con éxito a pesar del error de nivel de api

Estoy trabajando en un proyecto de Android que Api nivel es de 10, es declarado en build.gradle y AndroidManifest.xml archivos defaultConfig { minSdkVersion 10 targetSdkVersion 15 } <uses-sdk android:minSdkVersion="10" android:targetSdkVersion="15" /> Cuando utilizo la clase ActionBar Android Studio Editor subrayó esta línea y dio aviso como esperaba "Llamada requiere API nivel 11 (min actual es […]

El comando "phonegap build android" falló

Intenté construir un archivo androide-phonegap existente usando "phonegap build android", falló y mostró algunos errores. Pero, he construido un nuevo android-phonegap archivo con éxito utilizando el mismo comando. ¿Por qué no crea el archivo existente? He buscado algunas respuestas en línea, ésos no trabajaron. He cambiado minsdkversion y targetsdkversion en Androidmainfest.xml y build.grade, esto todavía […]

Android Studio: Resolución de clases duplicadas

Cuando intento run mi aplicación Android en un dispositivo Android, la consola gradle informa del siguiente error: Error:Execution failed for task ':app:transformClassesWithJarMergingForDebug'. > com.android.build.api.transform.TransformException: java.util.zip.ZipException: duplicate entry: com/loopj/android/http/AsyncHttpClient$1.class Cuando busco la clase "AsyncHttpClient", veo que realmente se encuentra en dos ubicaciones separadas: /Users/Afflatus/.gradle/caches/modules-2/files-2.1/com.loopj.android/android-async-http/1.4.9/5d171c3cd5343e5997f974561abed21442273fd1/android-async-http-1.4.9-sources.jar!/com/loopj/android/http/AsyncHttpClient.java /Users/Afflatus/.ideaLibSources/android-async-http-1.4.9-sources.jar!/com/loopj/android/http/AsyncHttpClient.java El primer camino parece sugerir que es un archivo "caché" … […]

Spoon JAR para pruebas locales

Estoy tratando de probar hacer cambios a la fuente Spoon (tratando de aprender cómo funciona todo), pero no puede averiguar cómo construir el tarro final (con dependencias similares a la que está disponible desde el sitio ) que podemos utilizar Para funcionar independientemente. He intentado ejecutar la ./gradlew build y ./gradlew install con algunos cambios […]

Configuración de Deckard para Gradle. Error con la prueba Robolectric

Estoy tratando de crear un proyecto con Robolectric deckard-gradle Todo está bien, pero cuando ejecuto una prueba robolectric la construcción falló con una excepción: cd my-project ./gradlew clean test 1 test completed, failed :testDebug FAILED java.lang.IllegalArgumentException at org.objectweb.asm.ClassReader.<init>(Unknown Source) at org.objectweb.asm.ClassReader.<init>(Unknown Source) at org.robolectric.bytecode.AsmInstrumentingClassLoader.findClass(AsmInstrumentingClassLoader.java:140) at org.robolectric.bytecode.AsmInstrumentingClassLoader.loadClass(AsmInstrumentingClassLoader.java:98) at org.robolectric.SdkEnvironment.bootstrappedClass(SdkEnvironment.java:45) at org.robolectric.RobolectricTestRunner$2.evaluate(RobolectricTestRunner.java:205) at org.junit.runners.ParentRunner.runLeaf(ParentRunner.java:271) at org.junit.runners.BlockJUnit4ClassRunner.runChild(BlockJUnit4ClassRunner.java:70) at […]

Mejores prácticas para variantes de construcción con sabor con gradle en android studio

Tengo una aplicación que se produce para diferentes marcas. Ahora tengo dos sabores, brand1 y brand2. La diferencia entre brand1 y brand2 son sólo los archivos de recursos. Primero asumí que podía establecer todos los datos compartidos en mi ruta principal y las diferencias en el camino con sabor. Pero en este escenario mi compilación […]

Android – Cambiar compileSdkVersion conduce a errores

Estoy usando Android Studio 1.2.2 para desarrollar una aplicación para Android. En mi archivo build.gradle, he definido la compileSdkVersion a 21 desde el comienzo de la obra. Ahora quería cambiar eso a 19, ya que este software en realidad nunca se instalará en un dispositivo Android, que ejecuta una versión superior a Android 4.4 Cuando […]

Android Studio: Gradle sync failed: Proyecto: app declara una dependencia

Estoy trabajando en Android Studio 2.3 y quiero hacer uso de una biblioteca que encontré en github ( https://github.com/henrychuangtw/Android-ChatHead ) y no hay ningún archivo Jar. En settings.gradle he declarado el directorio en el que reside la biblioteca de esta manera: include ':app' include ':Android-ChatHead' project(':Android-ChatHead').projectDir=new File('/Users/lorand/AndroidStudioProjects/Doritest/android_chatHeads') Y también he añadido la biblioteca a las […]

(Entrada zip duplicada ))

Tengo un proyecto androide en Android Studio 2.3.0 beta4 que depende de un proyecto de biblioteca CoolLib . CoolLib tiene su fuente en un archivo jar coolLib.jar en su carpeta libs . CoolLib.jar contiene el archivo {pkg} /BuildConfig.class . Cuando intento construir y ejecutar el proyecto en un dispositivo / emulador en Android API-22 +, […]

Creación de un proyecto Android Jar del proyecto Uso de gradle con dependencias

Estoy tratando de construir el archivo .Jar fuera de Android Library Project (no ejecutable) utilizando gradle con dependencias, pero estoy recibiendo NoClassDefFoundError porque está accediendo a uno de los archivos de los módulos de dependencia. Hasta ahora he intentado el método de FatJar pero incluye todo en el archivo del tar excepto las bibliotecas dependientes. […]

FlipAndroid es un fan de Google para Android, Todo sobre Android Phones, Android Wear, Android Dev y Aplicaciones para Android Aplicaciones.